Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers
Class ParallelIteratedSingleClassifierEnhancer

    java.lang.Object
      weka.classifiers.AbstractClassifier
          weka.classifiers.SingleClassifierEnhancer
              weka.classifiers.IteratedSingleClassifierEnhancer
                  weka.classifiers.ParallelIteratedSingleClassifierEnhancer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Classifier, CapabilitiesHandler, OptionHandler, RevisionHandler

Direct Known Subclasses:
  RandomizableParallelIteratedSingleClassifierEnhancer

    public abstract class ParallelIteratedSingleClassifierEnhancer

extends IteratedSingleClassifierEnhancer

Abstract utility class for handling settings common to meta classifiers that build an ensemble in parallel from a single base learner.

Version:
  $Revision: 6041 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  Serialized Form

Constructor Summary
`ParallelIteratedSingleClassifierEnhancer()`

Method Summary
`void` | `buildClassifier(Instances data)` Stump method for building the classifiers
`int` | `getNumExecutionSlots()` Get the number of execution slots (threads) to use for building the members of the ensemble.
`java.lang.String[]` | `getOptions()` Gets the current settings of the classifier.
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`java.lang.String` | `numExecutionSlotsTipText()` Returns the tip text for this property
`void` | `setNumExecutionSlots(int numSlots)` Set the number of execution slots (threads) to use for building the members of the ensemble.
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.

Methods inherited from class weka.classifiers.IteratedSingleClassifierEnhancer
`getNumIterations, numIterationsTipText, setNumIterations`

Methods inherited from class weka.classifiers.SingleClassifierEnhancer
`classifierTipText, getCapabilities, getClassifier, setClassifier`

Methods inherited from class weka.classifiers.AbstractClassifier
`classifyInstance, debugTipText, distributionForInstance, forName, getDebug, getRevision, makeCopies, makeCopy, setDebug`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParallelIteratedSingleClassifierEnhancer

    public ParallelIteratedSingleClassifierEnhancer()

Method Detail

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Overrides:
    `listOptions` in class `IteratedSingleClassifierEnhancer`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options. Valid options are:

  -Z num
  Set the number of execution slots to use (default 1 - i.e. no parallelism).

  Options after -- are passed to the designated classifier.

  Specified by:
    `setOptions` in interface `OptionHandler`
  Overrides:
    `setOptions` in class `IteratedSingleClassifierEnhancer`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of the classifier.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Overrides:
    `getOptions` in class `IteratedSingleClassifierEnhancer`
  Returns:
    an array of strings suitable for passing to setOptions

### setNumExecutionSlots

    public void setNumExecutionSlots(int numSlots)

  Set the number of execution slots (threads) to use for building the members of the ensemble.

  Parameters:
    `numSlots` - the number of slots to use.

### getNumExecutionSlots

    public int getNumExecutionSlots()

  Get the number of execution slots (threads) to use for building the members of the ensemble.

  Returns:
    the number of slots to use

### numExecutionSlotsTipText

    public java.lang.String numExecutionSlotsTipText()

  Returns the tip text for this property

  Returns:
    tip text for this property suitable for displaying in the explorer/experimenter gui

### buildClassifier

    public void buildClassifier(Instances data)
                         throws java.lang.Exception

  Stump method for building the classifiers

  Specified by:
    `buildClassifier` in interface `Classifier`
  Overrides:
    `buildClassifier` in class `IteratedSingleClassifierEnhancer`
  Parameters:
    `data` - the training data to be used for generating the ensemble
  Throws:
    `java.lang.Exception` - if the classifier could not be built successfully

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD